Bug 1023689 - Keeps asking for saving changes for an already deleted photo
Keeps asking for saving changes for an already deleted photo
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: shotwell (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-27 03:29 EDT by Volans
Modified: 2015-02-17 12:49 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 12:49:19 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Volans 2013-10-27 03:29:04 EDT
Description of problem:

Keeps asking for saving changes for an already deleted photo

Version-Release number of selected component (if applicable):

0.14.1

Steps to Reproduce:
1. Open a folder containing photos.
2. Open any photo with Shotwell.
3. Navigate trough the photos, using <- and ->.
4. Delete the photo you are currently watching.
5. Continue navigating through <- and ->
6. Shotwell will ask you for saving changes on a photo that was deleted outside of the program.
7. Everytime you pass by the photo that was deleted, it will say the photo was deleted and then ask for saving changes.
8. If you press [X] for exiting the program, while watching a deleted photo, the program will show the saving dialog TWICE.

Actual results:

Very annoyed user

Expected results:

User getting frustrated and opening/closing the program everytime he deletes a photo.

Additional info:

All information already given. However, I would suggest that Shotwell was able to delete photos from inside the program. That would be useful when selecting photos.
Comment 1 Fedora End Of Life 2015-01-09 15:22:21 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-17 12:49:19 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.